# Time Picker

Time pickers pickers provide a simple way to select a single value from a pre-determined set.

## Time Picker

![](/files/-MAgC85v3OmaEeNER2hd)

```
New-UDTimePicker
```

**New-UDTimePicker**

| Name     | Type     | Description                                                                                                    | Required |
| -------- | -------- | -------------------------------------------------------------------------------------------------------------- | -------- |
| Id       | String   | The ID of the component. It defaults to a random GUID.                                                         | false    |
| Label    | String   | The label to show with the time picker.                                                                        | false    |
| OnChange | Endpoint | A script block to call when the time is changed. The $EventData variable contains the currently selected time. | false    |
| Value    | String   | The current value of the time picker.                                                                          | false    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/dashboard/components/inputs/time-picker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
